Scriptname AngrimTemptressScr extends Actor  

import Utility

SexLabFramework Property SexLab Auto
AngrimApprenticeQuestScript Property QuestScr Auto
AngrimBeltQuestScript Property BeltQuest Auto
Actor Property PlayerRef Auto
Spell Property AngrimStealDreamsSpell Auto
GlobalVariable Property AngrimHasCurse Auto
GlobalVariable Property AngrimPlayerIsSuccubus Auto
Topic Property AngrimBookQuest3HelloTemptress Auto
Topic Property AngrimBookQuest3Goodbye Auto

Actor[] actors
Actor victim
int counter = 0
sslBaseAnimation[] anims
bool hadBelt = false

Event OnLoad()

	actors = new Actor[2]
	actors[0] = PlayerRef
	actors[1] = Self as Actor
	victim = None

	RegisterForModEvent("AnimationEnd", "NextTime")
	if ( PlayerRef.IsInCombat() == False )
		NextAct()
	endIf

endEvent

Event OnUnLoad()
	if ( counter != 4 )
		UnregisterForModEvent( "AnimationEnd" )
	endIf
endEvent

Event NextTime(string eventName, string argString, float argNum, form sender)
	NextAct()
endEvent

Function NextAct()
	;; String together several successive encounters, by tying the start of one
	;; the the completion of the previous one.
	if ( counter == 0 )
		actors[1].Say( AngrimBookQuest3HelloTemptress )
		Wait( 5.0 )
		anims = new sslBaseAnimation[1]
		anims[0] = SexLab.GetAnimationByName( "Tribadism" )
		SexLab.StartSex(actors, anims, victim, None, allowBed=false)
	elseIf ( counter == 1 )
		actors[1].Say( AngrimBookQuest3HelloTemptress )
		Wait( 2.0 )
		;; Wait for the last animation to clear...
	 	While (SexLab.FindActorController(actors[0]) != -1 || SexLab.FindActorController(actors[1]) != -1)
			Wait(1.0)
		endWhile
		Wait( 1.0 )
		anims = new sslBaseAnimation[1]
		anims[0] = SexLab.GetAnimationByName( "Arrok Lesbian" )
		SexLab.StartSex(actors, anims, victim, None, allowBed=false)
	elseIf ( counter == 2 )
		if ( AngrimHasCurse.Value > 0 )
			actors[1].Say( AngrimBookQuest3Goodbye )
			PlayerRef.AddSpell( AngrimStealDreamsSpell )
		endIf
		Wait( 2.0 )
		;; Wait for the last animation to clear...
	 	While (SexLab.FindActorController(actors[0]) != -1 || SexLab.FindActorController(actors[1]) != -1)
			Wait(1.0)
		endWhile
		Wait( 1.0 )
		anims = new sslBaseAnimation[1]
		anims[0] = SexLab.GetAnimationByName( "Zyn Lesbian" )
		SexLab.StartSex(actors, anims, victim, None, allowBed=false)
	elseIf ( counter == 3 )
		UnregisterForModEvent( "AnimationEnd" )
	endIf
	counter = counter + 1
endFunction
