Scriptname AngrimDibellaFavorScr extends ActiveMagicEffect  

SexLabFramework Property SexLab Auto

Actor Property PlayerRef Auto
Spell Property AngrimDibellaBoon Auto
GlobalVariable Property AngrimDibellaExp Auto

Function DoMaintenance()
	Debug.Trace( "[Angrim] Registering mod events for Dibella's Favor." )
	RegisterForModEvent( "AnimationEnd", "ResetDibellaBoon" )
endFunction

Event OnPlayerLoadGame()
	DoMaintenance()
endEvent

Event OnEffectStart( Actor akTarget, Actor akCaster )
	AngrimDibellaExp.Value = 0
	DoMaintenance()
EndEvent

Event OnEffectFinish( Actor akTarget, Actor akCaster )
	UnregisterForModEvent( "AnimationEnd" )
	PlayerRef.RemoveSpell( AngrimDibellaBoon )
endEvent

Event ResetDibellaBoon( string eventName, string argString, float argNum, form sender )
	sslThreadController controller = SexLab.HookController(argString)
	sslBaseAnimation anim = SexLab.HookAnimation(argString)
	Actor[] actorList = SexLab.HookActors(argString)

	;; Ignore solo and aggressive acts:
	if ( anim.HasTag( "Solo" ) || anim.HasTag( "Aggressive" ) )
		return
	endIf

	if ( anim.HasTag( "Vaginal" ) )
		PlayerRef.AddSpell( AngrimDibellaBoon, true )
	endIf
EndEvent