Scriptname AngrimDibellaQuestScr extends Quest Conditional

import Utility

SexLabFramework Property SexLab Auto
zadLibs Property DeviousLibs Auto

Actor Property PlayerRef Auto
Spell Property AngrimDibellaFavor Auto
MiscObject Property AngrimGemSapphire Auto
Topic Property AngrimDibellaTempleClientMark Auto

Actor SpeakerRef
Function DuoAct( Actor akActor, bool abRough = false )
	Actor[] actors = new Actor[2]
	Actor victim = None
	sslBaseAnimation[] anims
	actors[0] = PlayerRef
	actors[1] = akActor
	int type = RandomInt(0, 4)

	Debug.Trace( "Angrim: starting pair animation" )
	if ( abRough )
		victim = PlayerRef
	endIf

	;; Select an appropriate animation:
	if ( type < 1 )
		anims = SexLab.GetAnimationsByTags( 2, Tags="Oral,FM", TagSuppress="Pillory" )
	elseIf ( type < 2 )
		anims = SexLab.GetAnimationsByTags( 2, Tags="Anal,FM", TagSuppress="Pillory" )
	elseIf ( abRough )
		anims = SexLab.GetAnimationsByTags( 2, Tags="Vaginal,FM,Aggressive", TagSuppress="Pillory" )
	else
		anims = SexLab.GetAnimationsByTags( 2, Tags="Vaginal,FM", TagSuppress="Pillory" )
	endIf
	SpeakerRef = akActor
	RegisterForModEvent( "AnimationEnd", "GiveThanks" )

	SexLab.StartSex(actors, anims, victim, centerOn=PlayerRef, allowBed=false)
endFunction

Function AddSpell( )
	PlayerRef.AddSpell( AngrimDibellaFavor, true )
endFunction

Function GiveMark()
	PlayerRef.AddItem( AngrimGemSapphire )
endFunction

Function TakeMark()
	if ( PlayerRef.GetItemCount( AngrimGemSapphire ) > 0 )
		PlayerRef.RemoveItem( AngrimGemSapphire, 1 )
	endIf
endFunction

Event GiveThanks( string eventName, string argString, float argNum, form sender )
	Debug.Trace( "Angrim: Partner gives thanks" )
	SpeakerRef.Say( AngrimDibellaTempleClientMark )
	UnregisterForModEvent( "AnimationEnd" )
endEvent
