Scriptname AngrimEmissaryScr extends Actor  

import Utility

SexLabFramework Property SexLab Auto
AngrimApprenticeQuestScript Property QuestScr Auto
AngrimEmissaryReturnScr Property IndulgeScr Auto
ObjectReference Property CenterPoint Auto
GlobalVariable Property AngrimHasCurse Auto
GlobalVariable Property AngrimSummonedEmissary Auto
GlobalVariable Property AngrimEmissaryManifest Auto
Actor Property PlayerRef Auto
Actor Property AngrimRef Auto

Actor[] actors
Actor victim
Actor EmissaryRef
int counter = 0
sslBaseAnimation[] anims
ObjectReference CenterMark

Event OnLoad()
	EmissaryRef = Self as Actor

	actors = new Actor[2]
	actors[0] = PlayerRef
	actors[1] = EmissaryRef
	victim = PlayerRef
	bool bAnimating = true

	if ( AngrimSummonedEmissary.Value > 0 )
		;; Angrim summoned Emissary for sacrifice, run the encounters in sequence:
		CenterMark = CenterPoint
		counter = 0
		RegisterForModEvent("AnimationEnd", "NextTime")
	elseIf (AngrimEmissaryManifest.Value > 0 )
		;; The Emissary manifested on his own, another quest is in control:
		bAnimating = false
		IndulgeScr.SetAlias( EmissaryRef )
	else
		;; Player summoned Emissary, just pick an encounter at random:
		CenterMark = None
		counter = RandomInt(0, 2)
	endIf

	if ( bAnimating && PlayerRef.IsInCombat() == False )
		NextAct()
	endIf

endEvent

Event OnUnLoad()
	AngrimSummonedEmissary.Value = 0
	AngrimEmissaryManifest.Value = 0
	UnregisterForModEvent( "AnimationEnd" )
endEvent

Event NextTime(string eventName, string argString, float argNum, form sender)
	NextAct()
endEvent

Function NextAct()
	;; String together several successive encounters, by tying the start of one
	;; the the completion of the previous one.
	if ( counter == 0 )
		Wait( 2.0 )
		anims = new sslBaseAnimation[2]
		anims[0] = SexLab.GetAnimationByName( "AP Skull Fuck" )
		anims[1] = SexLab.GetAnimationByName( "Leito Bound Blowjob" )
		CheckOptionalAnims( 1 )
		SexLab.StartSex(actors, anims, victim, CenterMark, allowBed=false)
	elseIf ( counter == 1 )
		Wait( 2.0 )
		;; Wait for the last animation to clear...
	 	While (SexLab.FindActorController(actors[0]) != -1 || SexLab.FindActorController(actors[1]) != -1)
			Wait(1.0)
		endWhile
		Wait( 1.0 )
		anims = new sslBaseAnimation[4]
		anims[0] = SexLab.GetAnimationByName( "Rough Doggy Style" )
		anims[1] = SexLab.GetAnimationByName( "Arrok Rape" )
		anims[2] = SexLab.GetAnimationByName( "Leito Bound Rear Entry Anal" )
		anims[3] = SexLab.GetAnimationByName( "Leito Bound Missionary Anal" )
		CheckOptionalAnims( 2 )
		CheckOptionalAnims( 3 )
		SexLab.StartSex(actors, anims, victim, CenterMark, allowBed=false)
	elseIf ( counter == 2 )
		Wait( 2.0 )
		;; Wait for the last animation to clear...
	 	While (SexLab.FindActorController(actors[0]) != -1 || SexLab.FindActorController(actors[1]) != -1)
			Wait(1.0)
		endWhile
		Wait( 1.0 )
		anims = new sslBaseAnimation[2]
		anims[0] = SexLab.GetAnimationByName( "Arrok Leg Up Fuck" )
		anims[1] = SexLab.GetAnimationByName( "Leito Bound Doggystyle" )
		CheckOptionalAnims( 1 )
		SexLab.StartSex(actors, anims, victim, CenterMark, allowBed=false)
	elseIf ( counter == 3 )
		SexLab.ApplyCum( PlayerRef, 7 )
		if ( AngrimHasCurse.Value == 0 )
			QuestScr.GiveCurse()
		endIf
		;; Wait for the last animation to clear...
	 	While (SexLab.FindActorController(actors[0]) != -1 || SexLab.FindActorController(actors[1]) != -1)
			Wait(1.0)
		endWhile
		Wait( 1.0 )
		if ( CenterMark != None )
			PlayerRef.MoveTo( CenterMark )    ;; Reset position
		endIf
		actors = new Actor[3]
		actors[0] = PlayerRef
		actors[1] = EmissaryRef
		actors[2] = AngrimRef
		anims = new sslBaseAnimation[1]
		anims[0] = SexLab.GetAnimationByName( "DI Forced Threesome" )
		if ( anims[0] != None )   ;; Older versions may be missing this one.
			SexLab.StartSex(actors, anims, victim, CenterMark, allowBed=false)
		endIf
	elseIf ( counter == 4 )
		SexLab.ApplyCum( PlayerRef, 7 )
	endIf
	counter = counter + 1
endFunction

Function CheckOptionalAnims( int Count )
	if ( anims[Count] == None )
		anims[Count] = anims[0]
	endIf
endFunction
