Scriptname AngrimTriggerSpell extends activemagiceffect  

SexLabFramework Property SexLab Auto
Spell Property TriggeredSpell Auto
Spell Property TriggeredSpell2 Auto
Spell Property TriggeredSpell3 Auto
Bool Property SelfTarget Auto
Bool Property DelayedAction Auto
Bool Property RequireOral Auto
Bool Property RequireVaginal Auto

Actor Caster

Event onEffectStart(Actor akTarget, Actor akCaster)
	Caster = akCaster
	RegisterForModEvent("AnimationEnd", "TriggerSpell")
EndEvent

Event TriggerSpell(string eventName, string argString, float argNum, form sender)
	sslThreadController controller = SexLab.HookController(argString)
	sslBaseAnimation anim = SexLab.HookAnimation(argString)
	Actor[] actorList = SexLab.HookActors(argString)
	int playerPos = controller.GetPlayerPosition()
	bool doTriggeredSpell = false
	int i = 0

	;; If playerPos is not negative, the player is involved in this animation.
	if ( playerPos >= 0 )
		if ( RequireOral )
			if ( anim.HasTag( "Oral" ) )
				doTriggeredSpell = true
			endIf
		elseIf ( RequireVaginal )
			if ( anim.Hastag( "Vaginal" ) )
				doTriggeredSpell = true
			endIf
		elseIf ( anim.HasTag( "Oral" ) )
			doTriggeredSpell = true
		elseIf ( anim.HasTag( "Anal" ) )
			doTriggeredSpell = true
		elseIf ( anim.HasTag( "Vaginal" ) )
			doTriggeredSpell = true
		elseIf ( anim.HasTag( "Aggressive" ) || anim.HasTag( "Rough" ) )
			doTriggeredSpell = true
		endIf
		if ( doTriggeredSpell )
			if ( SelfTarget )
				if ( DelayedAction )
					Caster.addspell( TriggeredSpell )
					if ( TriggeredSpell2 != None )
						Caster.addspell( TriggeredSpell2 )
					endIf
					if ( TriggeredSpell3 != None )
						Caster.addspell( TriggeredSpell3 )
					endIf
				else 
					Caster.docombatspellapply( TriggeredSpell, Caster )
				endIf
				UnregisterForModEvent( "AnimationEnd" )
			else
				while ( i < actorList.Length )
					if ( actorList[i] != Caster )
						Caster.docombatspellapply( TriggeredSpell, actorList[i] )
						UnregisterForModEvent( "AnimationEnd" )
					endIf
					i = i + 1
				endWhile
			endIf
		endIf
	endIf

EndEvent